mnemonic-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ga...@apache.org
Subject incubator-mnemonic git commit: MNEMONIC-273: Improve the runall script to handle uncommitted files and IDE related files gracefully
Date Fri, 19 May 2017 22:20:53 GMT
Repository: incubator-mnemonic
Updated Branches:
  refs/heads/master 13eeb4983 -> 66f72873e


MNEMONIC-273: Improve the runall script to handle uncommitted files and IDE related files
gracefully


Project: http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/commit/66f72873
Tree: http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/tree/66f72873
Diff: http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/diff/66f72873

Branch: refs/heads/master
Commit: 66f72873e4983524b6c95308793d0405ccab5c76
Parents: 13eeb49
Author: Wang, Gang(Gary) <gang1.wang@intel.com>
Authored: Fri May 19 14:19:30 2017 -0700
Committer: Wang, Gang(Gary) <gang1.wang@intel.com>
Committed: Fri May 19 15:00:55 2017 -0700

----------------------------------------------------------------------
 build-tools/runall.sh | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/blob/66f72873/build-tools/runall.sh
----------------------------------------------------------------------
diff --git a/build-tools/runall.sh b/build-tools/runall.sh
index 42362cc..3aeb241 100755
--- a/build-tools/runall.sh
+++ b/build-tools/runall.sh
@@ -50,9 +50,13 @@ echo [INFO] Cleaning up and re-building...
 git ls-files --error-unmatch pom.xml > /dev/null 2>&1; rc=$?
 if [[ $rc == 0 ]]; then
   if [[ "$ARGCONFIRMED" == "false" ]]; then
-    continueprompt "Please make sure all source codes have already been checked in or backed
up otherwise un-checked files would be purged"
+    if [[ -n $(git status -s) ]]; then
+      echo "There are uncommitted or un-tracked files, please make sure it is clean or adding
option -y to run."
+      exit 22
+    fi
   fi
-  git clean -xdf > /dev/null
+  echo "Starting to clean unrelated files..."
+  git clean -xdf -e .idea/ -e "**/*.iml" -e .classpath -e .settings/ -e .project > /dev/null
 fi
 
 if [ ! -d "testlog" ]


Mime
View raw message